# vim: set ts=4 sw=4 et:
# Copyright (c) 2012 Remo Giermann <mo@liberejo.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/


Name:           tdfsb
Version:        0.0.10
Release:        3.4
Summary:        TDFSB is a three dimensional file system browser
License:        GPL-2.0
Group:          Amusements/Toys/Other
Url:            http://www.determinate.net/webdata/seg/tdfsb.html
Source:         http://www.determinate.net/webdata/data/%{name}-%{version}.tar.gz
Patch1:         tdfsb-fix_missing_return.patch
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libsmpeg-devel
BuildRequires:  freeglut-devel
BuildRequires:  Mesa-devel
BuildRequires:  pkgconfig
BuildRequires:  gcc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TDFSB reads directory information and displays them as a 3D world, so you can
take a walk through your filesystem. It also reads Images, MPEG and MP3 files
as well as some other formats.

To use this program you should have hardware accelerated 3d graphics. Otherwise
it may be very slow.

%prep
%setup -q
%patch1

%build
%__cc -D_GNU_SOURCE=1 -D_REENTRANT -D_THREAD_SAFE %{optflags} \
    -Wno-pointer-sign -Wno-unused-variable \
    $(pkg-config --cflags sdl SDL_image gl glu) \
    -x c -o tdfsb tdfsb.c \
    -lglut -lsmpeg $(pkg-config --libs sdl SDL_image gl glu) \
    -lm

%install
%__install -D -m 0755 tdfsb "%{buildroot}%{_bindir}/%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{_bindir}/%{name}

%changelog
* Wed May  2 2012 pascal.bleser@opensuse.org
- fixed formatting
- use pkg-config instead of hard-coded includes and libs
- added patch to fix missing return value
* Tue May  1 2012 mo@liberejo.de
- initial build, compiling source file directly from within specfile
